html:not(.is-ready) > body > :not(.site-loader) { visibility: hidden; }

.site-loader {
  z-index: 99999;
  position: absolute;
  top: 0;
  left:0;
  right: 0;
  height: 3px;
  overflow: hidden;
}

.site-loader .loading-bar {
  position:absolute;
  top: 0;
  bottom: 0;
  left: -400px;
  width: 400px;
  background: linear-gradient(
    90deg,
    #FBE5AA00 0%,
    #FBB9AA 21.36%,
    #CA81B6 42.71%,
    #8FB0E0 62.54%,
    #78BAB2 82.37%,
    #4B8A8800 101.69%
  );
  animation: siteLoaderBar 2s linear infinite;
}

@keyframes siteLoaderBar {
  0% {
    left: -400px;
  }
  100% {
    left: 100%;
  }
}